## mumps 5.1.1

=== Makefile ===
#
#  This file is part of MUMPS 5.1.1, released
#  on Mon Mar 20 14:34:33 UTC 2017
#
topdir = .
libdir = $(topdir)/lib

default:	dexamples

.PHONY: default alllib all c z s d \
	sexamples dexamples cexamples zexamples multi_example \
	mumps_lib requiredobj libseqneeded clean

alllib:		c z s d
all:		cexamples zexamples sexamples dexamples multi_example

c:
	$(MAKE) ARITH=c mumps_lib
z:
	$(MAKE) ARITH=z mumps_lib
s:
	$(MAKE) ARITH=s mumps_lib
d:
	$(MAKE) ARITH=d mumps_lib


# Is Makefile.inc available ?
Makefile.inc:
	@echo "######################################################################"
	@echo "# BEFORE COMPILING MUMPS, YOU SHOULD HAVE AN APPROPRIATE FILE"
	@echo "# Makefile.inc AVALAIBLE. PLEASE LOOK IN THE DIRECTORY ./Make.inc FOR"
	@echo "# EXAMPLES OF Makefile.inc FILES, AT Make.inc/Makefile.inc.generic"
	@echo "# IN CASE YOU NEED TO BUILD A NEW ONE AND READ THE MAIN README FILE"
	@echo "######################################################################"
	@exit 1

include Makefile.inc

mumps_lib: requiredobj
	(cd src ; $(MAKE) $(ARITH))

cexamples:	c
	(cd examples ; $(MAKE) c)

zexamples:	z
	(cd examples ; $(MAKE) z)

sexamples:	s
	(cd examples ; $(MAKE) s)

dexamples:	d
	(cd examples ; $(MAKE) d)

multi_example:	s d c z
	(cd examples ; $(MAKE) multi)

requiredobj: Makefile.inc $(LIBSEQNEEDED) $(libdir)/libpord$(PLAT)$(LIBEXT)

# dummy MPI library (sequential version)

libseqneeded:
	(cd libseq; $(MAKE))

# Build the libpord.a library and copy it into $(topdir)/lib
$(libdir)/libpord$(PLAT)$(LIBEXT):
	if [ "$(LPORDDIR)" != "" ] ; then \
	  cd $(LPORDDIR); \
	  $(MAKE) CC="$(CC)" CFLAGS="$(OPTC)" AR="$(AR)" RANLIB="$(RANLIB)" OUTC="$(OUTC)" LIBEXT=$(LIBEXT); \
	fi;
	if [ "$(LPORDDIR)" != "" ] ; then \
	  cp $(LPORDDIR)/libpord$(LIBEXT) $@; \
	fi;

clean:
	(cd src; $(MAKE) clean)
	(cd examples; $(MAKE) clean)
	(cd $(libdir); $(RM) *$(PLAT)$(LIBEXT))
	(cd libseq; $(MAKE) clean)
	if [ "$(LPORDDIR)" != "" ] ; then \
	  cd $(LPORDDIR); $(MAKE) realclean; \
        fi;

=== examples/Makefile ===
#
#  This file is part of MUMPS 5.1.1, released
#  on Mon Mar 20 14:34:33 UTC 2017
#
topdir = ..
libdir = $(topdir)/lib

default: d

.PHONY: default all s d c z multi clean
.SECONDEXPANSION:

all:	c z s d multi

c:	csimpletest 
z:	zsimpletest 
s:	ssimpletest 
d:	dsimpletest   c_example
multi:	multiple_arithmetics_example


include $(topdir)/Makefile.inc

LIBMUMPS_COMMON = $(libdir)/libmumps_common$(PLAT)$(LIBEXT)


LIBSMUMPS = $(libdir)/libsmumps$(PLAT)$(LIBEXT) $(LIBMUMPS_COMMON)

ssimpletest:  $(LIBSMUMPS)  $$@.o
	$(FL) -o $@ $(OPTL) ssimpletest.o  $(LIBSMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)


LIBDMUMPS = $(libdir)/libdmumps$(PLAT)$(LIBEXT) $(LIBMUMPS_COMMON)

dsimpletest: $(LIBDMUMPS)  $$@.o 
	$(FL) -o $@ $(OPTL) dsimpletest.o  $(LIBDMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)


LIBCMUMPS = $(libdir)/libcmumps$(PLAT)$(LIBEXT) $(LIBMUMPS_COMMON)

csimpletest: $(LIBCMUMPS)  $$@.o
	$(FL) -o $@ $(OPTL) csimpletest.o  $(LIBCMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)


LIBZMUMPS = $(libdir)/libzmumps$(PLAT)$(LIBEXT) $(LIBMUMPS_COMMON)

zsimpletest: $(LIBZMUMPS)  $$@.o
	$(FL) -o $@ $(OPTL) zsimpletest.o  $(LIBZMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)

c_example:	$(LIBDMUMPS) $$@.o
	$(FL) -o $@ $(OPTL) $@.o $(LIBDMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)


multiple_arithmetics_example:	$(LIBSMUMPS) $(LIBDMUMPS) $(LIBCMUMPS) $(LIBZMUMPS) $$@.o
	$(FL) -o $@ $(OPTL) $@.o $(LIBSMUMPS) $(LIBDMUMPS) $(LIBCMUMPS) $(LIBZMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)


.SUFFIXES: .c .F .o
.F.o:
	$(FC) $(OPTF) $(INCS) -I. -I$(topdir)/include -c $*.F $(OUTF)$*.o
.c.o:
	$(CC) $(OPTC) $(INCS) $(CDEFS) -I. -I$(topdir)/include -I$(topdir)/src -c $*.c $(OUTC)$*.o


$(libdir)/libsmumps$(PLAT)$(LIBEXT):
	@echo 'Error: you should build the library' $@ 'first'
	exit 1

$(libdir)/libdmumps$(PLAT)$(LIBEXT):
	@echo 'Error: you should build the library' $@ 'first'
	exit 1

$(libdir)/libcmumps$(PLAT)$(LIBEXT):
	@echo 'Error: you should build the library' $@ 'first'
	exit 1

$(libdir)/libzmumps$(PLAT)$(LIBEXT):
	@echo 'Error: you should build the library' $@ 'first'
	exit 1

$(LIBMUMPS_COMMON):
	@echo 'Error: you should build the library' $@ 'first'
	exit 1

clean:
	$(RM) *.o [sdcz]simpletest c_example multiple_arithmetics_example

=== src/Makefile ===
#
#  This file is part of MUMPS 5.1.1, released
#  on Mon Mar 20 14:34:33 UTC 2017
#
#
#  This file is part of MUMPS 5.0beta, built on Tue Jan 10 16:43:31 UTC 2012
#
topdir = ..
libdir = $(topdir)/lib

default:	d

.PHONY: default s d c z mumps_lib clean

s:
	$(MAKE) ARITH=s mumps_lib
d:
	$(MAKE) ARITH=d mumps_lib
c:
	$(MAKE) ARITH=c mumps_lib
z:
	$(MAKE) ARITH=z mumps_lib

include $(topdir)/Makefile.inc

mumps_lib:    $(libdir)/libmumps_common$(PLAT)$(LIBEXT) \
              $(libdir)/lib$(ARITH)mumps$(PLAT)$(LIBEXT)

OBJS_COMMON_MOD = \
        lr_common.o \
        ana_omp_m.o\
        ana_orderings_wrappers_m.o\
	mumps_memory_mod.o\
        mumps_static_mapping.o\
        mumps_sol_es.o\
	fac_future_niv2_mod.o\
        mumps_comm_ibcast.o\
	mumps_ooc_common.o\
        double_linked_list.o\
        fac_asm_build_sort_index_m.o\
        fac_asm_build_sort_index_ELT_m.o\
        omp_tps_common_m.o\
        mumps_l0_omp_m.o\
        front_data_mgt_m.o\
        fac_maprow_data_m.o\
        fac_descband_data_m.o\
        fac_ibct_data_m.o

OBJS_COMMON_OTHER = \
        ana_orderings.o\
        ana_AMDMF.o\
        bcast_errors.o\
        estim_flops.o\
        mumps_type_size.o \
        mumps_type2_blocking.o \
        mumps_version.o \
        tools_common.o \
        mumps_print_defined.o \
        mumps_common.o\
        mumps_pord.o\
        mumps_metis.o\
        mumps_metis64.o\
        mumps_metis_int.o\
        mumps_scotch.o\
        mumps_scotch64.o\
        mumps_scotch_int.o\
        mumps_size.o\
        mumps_io.o\
        mumps_io_basic.o\
        mumps_io_thread.o\
        mumps_io_err.o\
        ana_set_ordering.o\
        mumps_numa.o \
        mumps_thread.o \
	mumps_save_restore_C.o

OBJS_MOD =   \
        $(ARITH)ana_aux_par.o \
        $(ARITH)ana_lr.o\
        $(ARITH)fac_asm_master_m.o\
        $(ARITH)fac_asm_master_ELT_m.o\
        $(ARITH)omp_tps_m.o\
        $(ARITH)mumps_comm_buffer.o\
        $(ARITH)mumps_load.o\
        $(ARITH)mumps_lr_data_m.o\
        $(ARITH)mumps_ooc_buffer.o\
        $(ARITH)mumps_ooc.o\
        $(ARITH)mumps_struc_def.o\
        $(ARITH)static_ptr_m.o\
        $(ARITH)lr_core.o\
	$(ARITH)lr_type.o\
	$(ARITH)lr_stats.o\
        $(ARITH)fac_lr.o\
        $(ARITH)fac_omp_m.o\
        $(ARITH)fac_par_m.o\
        $(ARITH)fac_front_LU_type1.o\
        $(ARITH)fac_front_LU_type2.o\
        $(ARITH)fac_front_LDLT_type1.o\
        $(ARITH)fac_front_LDLT_type2.o\
        $(ARITH)fac_front_aux.o\
        $(ARITH)fac_front_type2_aux.o\
	$(ARITH)mumps_save_restore_files.o\
	$(ARITH)mumps_save_restore.o

OBJS_OTHER = \
        $(ARITH)ini_driver.o\
        $(ARITH)ana_driver.o\
        $(ARITH)fac_driver.o\
        $(ARITH)sol_driver.o\
        $(ARITH)end_driver.o\
        $(ARITH)ana_aux_ELT.o\
        $(ARITH)ana_aux.o\
        $(ARITH)ana_dist_m.o\
        $(ARITH)ana_LDLT_preprocess.o\
        $(ARITH)ana_reordertree.o\
        $(ARITH)arrowheads.o\
        $(ARITH)bcast_int.o\
        $(ARITH)fac_asm_ELT.o\
        $(ARITH)fac_asm.o\
        $(ARITH)fac_b.o\
        $(ARITH)fac_distrib_distentry.o\
        $(ARITH)fac_distrib_ELT.o\
        $(ARITH)fac_lastrtnelind.o\
        $(ARITH)fac_mem_alloc_cb.o\
        $(ARITH)fac_mem_compress_cb.o\
        $(ARITH)fac_mem_free_block_cb.o\
        $(ARITH)fac_mem_stack_aux.o\
        $(ARITH)fac_mem_stack.o\
        $(ARITH)fac_process_band.o\
        $(ARITH)fac_process_blfac_slave.o\
        $(ARITH)fac_process_blocfacto_LDLT.o\
        $(ARITH)fac_process_blocfacto.o\
        $(ARITH)fac_process_bf.o\
        $(ARITH)fac_process_end_facto_slave.o\
        $(ARITH)fac_process_contrib_type1.o\
        $(ARITH)fac_process_contrib_type2.o\
        $(ARITH)fac_process_contrib_type3.o\
        $(ARITH)fac_process_maprow.o\
        $(ARITH)fac_process_master2.o\
        $(ARITH)fac_process_message.o\
        $(ARITH)fac_process_root2slave.o\
        $(ARITH)fac_process_root2son.o\
        $(ARITH)fac_process_rtnelind.o\
        $(ARITH)fac_root_parallel.o\
        $(ARITH)fac_scalings.o\
        $(ARITH)fac_determinant.o\
        $(ARITH)fac_scalings_simScaleAbs.o\
        $(ARITH)fac_scalings_simScale_util.o\
        $(ARITH)fac_sol_pool.o\
        $(ARITH)fac_type3_symmetrize.o\
        $(ARITH)ini_defaults.o\
        $(ARITH)mumps_c.o\
        $(ARITH)mumps_driver.o\
        $(ARITH)mumps_f77.o\
        $(ARITH)mumps_iXamax.o\
        $(ARITH)ana_mtrans.o\
        $(ARITH)ooc_panel_piv.o\
        $(ARITH)rank_revealing.o\
        $(ARITH)sol_aux.o\
        $(ARITH)sol_bwd_aux.o\
        $(ARITH)sol_bwd.o\
        $(ARITH)sol_c.o\
        $(ARITH)sol_fwd_aux.o\
        $(ARITH)sol_fwd.o\
        $(ARITH)sol_matvec.o\
        $(ARITH)sol_root_parallel.o\
        $(ARITH)tools.o\
        $(ARITH)type3_root.o

$(libdir)/libmumps_common$(PLAT)$(LIBEXT):      $(OBJS_COMMON_MOD) $(OBJS_COMMON_OTHER)
	$(AR)$@ $?
	$(RANLIB) $@

$(libdir)/lib$(ARITH)mumps$(PLAT)$(LIBEXT):    $(OBJS_MOD) $(OBJS_OTHER)
	$(AR)$@ $?
	$(RANLIB) $@

# Dependencies between modules:
$(ARITH)mumps_load.o:		$(ARITH)mumps_comm_buffer.o \
				$(ARITH)mumps_struc_def.o \
				fac_future_niv2_mod.o
$(ARITH)mumps_ooc.o: 		$(ARITH)mumps_struc_def.o \
				$(ARITH)mumps_ooc_buffer.o \
				mumps_ooc_common.o
$(ARITH)mumps_ooc_buffer.o: 	mumps_ooc_common.o
$(ARITH)ana_aux_par.o:          $(ARITH)mumps_struc_def.o \
				mumps_memory_mod.o \
				ana_orderings_wrappers_m.o
$(ARITH)mumps_comm_buffer.o:	mumps_comm_ibcast.o \
                              $(ARITH)mumps_lr_data_m.o
$(ARITH)fac_asm_master_m.o:	omp_tps_common_m.o \
                                fac_ibct_data_m.o \
				$(ARITH)omp_tps_m.o \
				fac_asm_build_sort_index_m.o \
				$(ARITH)mumps_comm_buffer.o \
				$(ARITH)mumps_load.o
$(ARITH)fac_lastrtnelind.o:     $(ARITH)mumps_load.o
$(ARITH)fac_asm_master_ELT_m.o:	omp_tps_common_m.o \
                                fac_ibct_data_m.o \
				$(ARITH)omp_tps_m.o \
				fac_asm_build_sort_index_ELT_m.o \
				$(ARITH)mumps_comm_buffer.o \
				$(ARITH)mumps_load.o
$(ARITH)fac_omp_m.o:		$(ARITH)fac_asm_master_m.o\
				$(ARITH)fac_asm_master_ELT_m.o\
				$(ARITH)fac_front_LU_type1.o\
				$(ARITH)fac_front_LDLT_type1.o\
				$(ARITH)mumps_load.o\
				$(ARITH)omp_tps_m.o\
				omp_tps_common_m.o\
				mumps_l0_omp_m.o
$(ARITH)lr_core.o:              $(ARITH)lr_type.o\
				$(ARITH)mumps_lr_data_m.o\
				$(ARITH)lr_stats.o lr_common.o
$(ARITH)lr_stats.o:             $(ARITH)lr_type.o
$(ARITH)ana_lr.o:		$(ARITH)lr_core.o lr_common.o\
                                $(ARITH)lr_stats.o\
				ana_orderings_wrappers_m.o
$(ARITH)mumps_lr_data_m.o:	$(ARITH)lr_type.o\
                                $(ARITH)mumps_struc_def.o
$(ARITH)fac_lr.o:		$(ARITH)lr_core.o\
				$(ARITH)lr_type.o\
				$(ARITH)lr_stats.o\
                                $(ARITH)ana_lr.o
$(ARITH)fac_par_m.o:            $(ARITH)mumps_load.o\
				$(ARITH)mumps_ooc.o\
				$(ARITH)fac_lr.o\
				$(ARITH)fac_asm_master_m.o\
				$(ARITH)fac_asm_master_ELT_m.o\
                                $(ARITH)omp_tps_m.o\
                                $(ARITH)fac_front_LU_type1.o\
                                $(ARITH)fac_front_LU_type2.o\
                                $(ARITH)fac_front_LDLT_type1.o\
                                $(ARITH)fac_front_LDLT_type2.o\
                                omp_tps_common_m.o\
				mumps_l0_omp_m.o

$(ARITH)fac_front_aux.o     : $(ARITH)mumps_comm_buffer.o\
                                 $(ARITH)mumps_load.o\
                                 $(ARITH)mumps_ooc.o\
                                 mumps_ooc_common.o\
                                 mumps_l0_omp_m.o\
                                 mumps_comm_ibcast.o

$(ARITH)fac_front_type2_aux.o : $(ARITH)mumps_ooc.o\
                                $(ARITH)fac_front_aux.o

$(ARITH)fac_front_LU_type1.o   : $(ARITH)fac_front_aux.o\
                                 $(ARITH)mumps_ooc.o\
                                 $(ARITH)lr_core.o\
				 $(ARITH)lr_type.o\
				 $(ARITH)lr_stats.o\
                                 $(ARITH)ana_lr.o\
                                 $(ARITH)fac_lr.o
$(ARITH)fac_front_LU_type2.o   : $(ARITH)fac_front_aux.o\
                                 $(ARITH)fac_front_type2_aux.o\
                                 $(ARITH)mumps_ooc.o\
                                 $(ARITH)lr_core.o\
				 $(ARITH)lr_type.o\
				 $(ARITH)lr_stats.o\
                                 $(ARITH)ana_lr.o\
                                 $(ARITH)fac_lr.o\
                                 fac_ibct_data_m.o

$(ARITH)fac_front_LDLT_type1.o : $(ARITH)fac_front_aux.o\
                                 $(ARITH)mumps_ooc.o

$(ARITH)fac_front_LDLT_type2.o : $(ARITH)fac_front_aux.o\
                                 $(ARITH)fac_front_type2_aux.o\
                                 $(ARITH)mumps_ooc.o\
                                 $(ARITH)mumps_load.o\
                                 fac_ibct_data_m.o

$(ARITH)mumps_save_restore_files.o : $(ARITH)mumps_struc_def.o
$(ARITH)mumps_save_restore.o       : $(ARITH)mumps_struc_def.o $(ARITH)mumps_save_restore_files.o $(ARITH)mumps_ooc.o

mumps_static_mapping.o:         lr_common.o
fac_maprow_data_m.o:            front_data_mgt_m.o
fac_descband_data_m.o:          front_data_mgt_m.o
fac_ibct_data_m.o  :            front_data_mgt_m.o
ana_omp_m.o:              	double_linked_list.o
mumps_comm_ibcast.o:		fac_future_niv2_mod.o
fac_asm_build_sort_index_m.o:	omp_tps_common_m.o
fac_asm_build_sort_index_ELT_m.o:omp_tps_common_m.o


# Compile modules before the rest
$(OBJS_COMMON_OTHER):$(OBJS_COMMON_MOD)
$(OBJS_OTHER):$(OBJS_COMMON_MOD) $(OBJS_MOD)

.SUFFIXES: .c .F .o
.F.o:
	$(FC) $(OPTF) $(INCS) $(IORDERINGSF) $(ORDERINGSF) -I. -I../include -c $*.F $(OUTF)$*.o
.c.o:
	$(CC) $(OPTC) $(INCS) -I../include $(CDEFS) $(IORDERINGSC) $(ORDERINGSC) -c $*.c $(OUTC)$*.o

$(ARITH)mumps_c.o:	mumps_c.c
	$(CC) $(OPTC) $(INCS) $(CDEFS) -DMUMPS_ARITH=MUMPS_ARITH_$(ARITH) \
	      $(IORDERINGSC) $(ORDERINGSC) -I../include -c mumps_c.c $(OUTC)$@


clean:
	$(RM) *.o *.mod

=== debian/changelog ===
mumps (5.1.1-3) unstable; urgency=medium

  * Team upload.
  * Update for scalapack 2.0. It now includes BLACS, so
    remove explicit blacs dependencies.
  * Standards-Version: 4.1.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Sep 2017 09:04:21 +0800

mumps (5.1.1-2) unstable; urgency=medium

  * Team upload.
  * Add copyright details for src/ana_orderings.F
    (LGPL/CeCill-C/BSD-3). Closes: #859492.
  * Standards-Version: 4.0.0
  * debhelper compatibility level 10

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Jul 2017 16:18:20 +0800

mumps (5.1.1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version. Closes: #825824.
    - copyright now licenced under CeCILL-C
  * Standards-Version: 3.9.8
  * Place libs in multiarch subdirs. Build-Depends: dh-exec (>=0.3).

 -- Drew Parsons <dparsons@debian.org>  Wed, 29 Mar 2017 21:17:12 +0800

=== debian/control ===
Source: mumps
Section: devel
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 "Adam C. Powell,
 IV" <hazelsct@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-exec (>= 0.3),
 gfortran,
 libblas-dev | libblas-3gf.so,
 libptscotch-dev (>= 5.1.7.dfsg-4),
 libscalapack-mpi-dev (>= 2.0.2), liblapack-dev,
 libscotch-dev,
 mpi-default-dev,
 pkg-config,
Build-Conflicts:
 libatlas-base-dev,
 libatlas3gf-base,
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/mumps.git
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/mumps.git
Homepage: http://mumps.enseeiht.fr/

Package: libmumps-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps-5.1.1 (= ${binary:Version}),
 libscalapack-mpi-dev,
 mpi-default-dev,
 ${misc:Depends},
Description: Direct linear systems solver - parallel development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.

Package: libmumps-seq-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps-dev,
 libmumps-seq-5.1.1 (= ${binary:Version}),
 ${misc:Depends},
Description: Direct linear systems solver - non-parallel development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library.
 Unless you know that you specifically need this, then you almost
 certainly want the libmumps-dev package.

Package: libmumps-5.1.1
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 mpi-default-bin,
Description: Direct linear systems solver - parallel shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.

Package: libmumps-seq-5.1.1
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Direct linear systems solver - non-parallel shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library.
 Unless you know that you specifically need this, then you almost
 certainly want the libmumps-5.1.1 package.

Package: libmumps-scotch-5.1.1
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Direct linear systems solver - Scotch-version shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library
 with scotch support. Unless you know that you specifically need this,
 then you almost certainly want the libmumps-5.1.1 package.

Package: libmumps-scotch-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps-dev,
 libmumps-scotch-5.1.1 (= ${binary:Version}),
 ${misc:Depends},
Description: Direct linear systems solver - Scotch-version development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library
 with scotch support. Unless you know that you specifically need this,
 then you almost certainly want the libmumps-5.1.1 package.

Package: libmumps-ptscotch-5.1.1
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Direct linear systems solver - PTScotch-version shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built with ptscotch support.

Package: libmumps-ptscotch-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps-dev,
 libmumps-ptscotch-5.1.1 (= ${binary:Version}),
 ${misc:Depends},
Description: Direct linear systems solver - PTScotch-version development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built with ptscotch support.

Package: mumps-test
Architecture: any
Section: math
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 mpi-default-bin,
Description: Example/test binaries using MUMPS
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.

## mumps 5.1.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
-#  This file is part of MUMPS 5.1.1, released
-#  on Mon Mar 20 14:34:33 UTC 2017
+#  This file is part of MUMPS 5.1.2, released
+#  on Mon Oct  2 07:37:01 UTC 2017
 #
 topdir = .
 libdir = $(topdir)/lib

=== examples/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
-#  This file is part of MUMPS 5.1.1, released
-#  on Mon Mar 20 14:34:33 UTC 2017
+#  This file is part of MUMPS 5.1.2, released
+#  on Mon Oct  2 07:37:01 UTC 2017
 #
 topdir = ..
 libdir = $(topdir)/lib

=== libseq/Makefile ===
#
#  This file is part of MUMPS 5.1.2, released
#  on Mon Oct  2 07:37:01 UTC 2017
#
all: libmpiseq

.PHONY: all libmpiseq clean

include ../Makefile.inc

libmpiseq: libmpiseq$(PLAT)$(LIBEXT)

libmpiseq$(PLAT)$(LIBEXT): mpi.o mpic.o elapse.o
	$(AR)$@ mpi.o mpic.o elapse.o
	$(RANLIB) $@
.f.o:
	$(FC) $(OPTF)              -c $*.f $(OUTF)$*.o
.c.o:
	$(CC) $(OPTC) $(CDEFS) -I. -c $*.c $(OUTC)$*.o

clean:
	$(RM) *.o *$(LIBEXT)

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
-#  This file is part of MUMPS 5.1.1, released
-#  on Mon Mar 20 14:34:33 UTC 2017
+#  This file is part of MUMPS 5.1.2, released
+#  on Mon Oct  2 07:37:01 UTC 2017
 #
 #
 #  This file is part of MUMPS 5.0beta, built on Tue Jan 10 16:43:31 UTC 2012

=== debian/changelog ===
mumps (5.1.2-4) unstable; urgency=medium

  * Team upload.
  * link scalapack using MUMPS_MPI not openmpi (could be mpich)

 -- Drew Parsons <dparsons@debian.org>  Mon, 25 Dec 2017 07:10:24 +1100

mumps (5.1.2-3) unstable; urgency=medium

  * Team upload.
  * use mpicc, mpifort to build parallel MUMPS (and PTScotch support)
    rather than using pkg-config mpi-fort, since mpi-fort.pc is not
    available for mpich builds (m68k,sh4). Closes: #884939.

 -- Drew Parsons <dparsons@debian.org>  Sun, 24 Dec 2017 23:52:28 +1100

mumps (5.1.2-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.1.2

 -- Drew Parsons <dparsons@debian.org>  Tue, 19 Dec 2017 14:19:01 +0800

mumps (5.1.2-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
  * List OpenBLAS and ATLAS as alternative Build-Deps to provide BLAS
    and LAPACK.
  * Standards-Version: 4.1.1
  * debian/rules: create ./lib at build time, needed for build and
    present in upstream tarball, but not imported by gbp. 
  * debian/control: Priority: optional not extra

 -- Drew Parsons <dparsons@debian.org>  Wed, 29 Nov 2017 21:40:31 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: mumps
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  "Adam C. Powell,
@@ -9,16 +9,13 @@
  debhelper (>= 10),
  dh-exec (>= 0.3),
  gfortran,
- libblas-dev | libblas-3gf.so,
+ libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
+ liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so,
  libptscotch-dev (>= 5.1.7.dfsg-4),
- libscalapack-mpi-dev (>= 2.0.2), liblapack-dev,
+ libscalapack-mpi-dev (>= 2.0.2),
  libscotch-dev,
- mpi-default-dev,
- pkg-config,
-Build-Conflicts:
- libatlas-base-dev,
- libatlas3gf-base,
-Standards-Version: 4.1.0
+ mpi-default-dev
+Standards-Version: 4.1.2
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/mumps.git
 Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/mumps.git
 Homepage: http://mumps.enseeiht.fr/
@@ -28,7 +25,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libmumps-5.1.1 (= ${binary:Version}),
+ libmumps-5.1.2 (= ${binary:Version}),
  libscalapack-mpi-dev,
  mpi-default-dev,
  ${misc:Depends},
@@ -44,7 +41,7 @@
 Multi-Arch: same
 Depends:
  libmumps-dev,
- libmumps-seq-5.1.1 (= ${binary:Version}),
+ libmumps-seq-5.1.2 (= ${binary:Version}),
  ${misc:Depends},
 Description: Direct linear systems solver - non-parallel development files
  MUMPS implements a direct solver for large sparse linear systems, with a
@@ -56,7 +53,7 @@
  Unless you know that you specifically need this, then you almost
  certainly want the libmumps-dev package.
 
-Package: libmumps-5.1.1
+Package: libmumps-5.1.2
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -71,7 +68,7 @@
  operate on distributed matrices e.g. over a cluster.  It has Fortran and
  C interfaces, and can interface with ordering tools such as Scotch.
 
-Package: libmumps-seq-5.1.1
+Package: libmumps-seq-5.1.2
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -86,9 +83,9 @@
  .
  This package is built the MUMPS libseq dummy sequential MPI library.
  Unless you know that you specifically need this, then you almost
- certainly want the libmumps-5.1.1 package.
+ certainly want the libmumps-5.1.2 package.
 
-Package: libmumps-scotch-5.1.1
+Package: libmumps-scotch-5.1.2
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -103,7 +100,7 @@
  .
  This package is built the MUMPS libseq dummy sequential MPI library
  with scotch support. Unless you know that you specifically need this,
- then you almost certainly want the libmumps-5.1.1 package.
+ then you almost certainly want the libmumps-5.1.2 package.
 
 Package: libmumps-scotch-dev
 Architecture: any
@@ -111,7 +108,7 @@
 Multi-Arch: same
 Depends:
  libmumps-dev,
- libmumps-scotch-5.1.1 (= ${binary:Version}),
+ libmumps-scotch-5.1.2 (= ${binary:Version}),
  ${misc:Depends},
 Description: Direct linear systems solver - Scotch-version development files
  MUMPS implements a direct solver for large sparse linear systems, with a
@@ -121,9 +118,9 @@
  .
  This package is built the MUMPS libseq dummy sequential MPI library
  with scotch support. Unless you know that you specifically need this,
- then you almost certainly want the libmumps-5.1.1 package.
+ then you almost certainly want the libmumps-5.1.2 package.
 
-Package: libmumps-ptscotch-5.1.1
+Package: libmumps-ptscotch-5.1.2
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -144,7 +141,7 @@
 Multi-Arch: same
 Depends:
  libmumps-dev,
- libmumps-ptscotch-5.1.1 (= ${binary:Version}),
+ libmumps-ptscotch-5.1.2 (= ${binary:Version}),
  ${misc:Depends},
 Description: Direct linear systems solver - PTScotch-version development files
  MUMPS implements a direct solver for large sparse linear systems, with a

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/mpi-default-dev/debian_defaults

%:
	dh $@ --parallel

override_dh_auto_clean:
	cp -f debian/Makefile.seq.inc Makefile.inc
	dh_auto_clean
	rm -rf lib Makefile.inc libmumps_seq libmumps_scotch libmumps_ptscotch

override_dh_auto_build-arch:
	mkdir lib
	cp -f debian/Makefile.ptscotch.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(ARCH_DEFAULT_MPI_IMPL) PLAT="_ptscotch" all
	cp -a lib libmumps_ptscotch
	$(MAKE) clean
	rm -f Makefile.inc
	cp -f debian/Makefile.scotch.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(ARCH_DEFAULT_MPI_IMPL) PLAT="_scotch" all
	cp -a lib libmumps_scotch
	cp -af libseq/lib* libmumps_scotch
	$(MAKE) clean
	rm -f Makefile.inc
	cp -f debian/Makefile.seq.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(ARCH_DEFAULT_MPI_IMPL) PLAT="_seq" all
	cp -a lib libmumps_seq
	cp -af libseq/lib* libmumps_seq
	$(MAKE) clean
	rm -f Makefile.inc
	cp -f debian/Makefile.par.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(ARCH_DEFAULT_MPI_IMPL) all
